-- 错误码 和前端共享

local code = {
    OK = 200, --成功
    UNKNOWN = 400, --未知
    REQUEST_NOT_FOUND = 404, --不支持此请求
    REPLACE_LOGIN = 497, -- 被顶号
    LOGINING = 498, -- 正在登录状态
    NOT_REPEAT_LOGIN = 499, -- 自己顶自己，即重复登录
    TOKEN_AUTH_FAIL = 500, --TOKEN验证失败
    TOKEN_TIMEOUT = 501, --TOKEN超时失效
    PARAMTER_ERROR = 502, --参数错误
    CHANNEL_SHIELD = 503, -- 渠道屏蔽
    VERSION_SHIELD = 504, -- 版本屏蔽
    ACTIVITY_SHIELD = 505, -- 活动屏蔽
    INNER_SERVER_ERROR = 506, -- 服务端内部未知错误
    NOT_FOUND_SERVER = 507, -- 没有找到服务器
    NOT_GRAY_TEST_USER = 508, -- 不是灰度测试用户
    APP_VERSION_LOWER = 509, -- app版本过低
    CONFIG_ERROR = 600, -- 配置错误
    LEVEL_IS_MAX = 601, -- 升级到达上限
    KICK = 602, -- 踢人
    BANNED = 603, -- 禁言
    USR = {
        SIGN_PRIZE_NOT_FOUND = 2001, --救济领取完了
        ALREADY_SIGN = 2002, --已经签到了
        ALREADY_GET_TASK_AWARD = 2003, --已经获取了任务奖励
        LOGIN_PASSWORD_ERROR = 2004, --密码错误
        TASK_NOT_FINISH = 2005, --任务未完成
        ACHIEVEMENT_NOT_FINISH = 2006, --成就未完成
        ALREADY_GET_ACHIEVEMENT_AWARD = 2007, -- 已经领取了成就奖励
        LACK_OF_DIAMOND = 2008, -- 钻石不足
        FORCE_OUT = 2009, -- 账号被封杀！
        ALREADY_REGISTER = 2010, -- 已经注册了的用户
        EXCHANGE_CODE_USED = 2011, -- 兑换码已经使用了
        QUESTION_ALREAY_SUBMIT = 2012, -- 问卷调查已经提交过
        WEB_ACTIVITY_GET_AWARD_FAIL = 2013, -- WEB活动领取奖励失败
        MSG_ALREADY_GET_AWARD = 2014, -- 系统消息奖励已领取
        EXCHANGE_CODE_FAIL = 2015, -- 兑换码错误
        EXCHANGE_ALRAEDY_EXCHANGE = 2016, -- 您已经兑换过该礼包
        EXCHANGE_CODE_TIMEOUT = 2017, -- 兑换码过期
        NOT_EXIST_USER = 2018, -- 不存在此用户
        ALREADY_GET_SHARED_AWARD = 2019, -- 今天已经领取过分享奖励
        MY_FRIEND_CMT_LIMIT = 2020, -- 我的好友数量限制
        FRIEND_CMT_LIMIT = 2021, -- 对方好友数量限制
        FRIEND_APPLY_LIMIT = 2022, -- 对方的好友申请已经达到上限
        NOT_OPPO_MOVE_AWARD = 2023, -- 没有获取领取oppo迁移奖励的机会
        HAS_GET_OPPO_MOVE_AWARD = 2024, -- 已经领取oppo迁移奖励
        OPPO_MOVE_NOT_SUPPORT_CHANNEL = 2025, -- 迁移奖励不支持该渠道
        RED_CODE_NOT_EXISTS = 2026, -- 红包码不存在
        NOT_BIND_WX = 2027, -- 还没有绑定微信
        RED_NOT_ENOUGH = 2028, -- 红包余额不足
        RED_ID_EXISTS = 2029, -- 提现流水号已经存在
        RED_ID_NOT_EXISTS = 2030, -- 提现流水号不存在
        HAS_BIND_WX = 2031, -- 已经绑定微信
        COUPON_NOT_EXISTS = 2032, -- 抵用卷不存在
        COUPON_USING = 2033, -- 抵用卷已经被使用
        COUPON_ORDER_ERROR = 2034, -- 抵用卷解锁订单号不匹配
        VIP_PACKAGE_ALREADY_GET_AWARD = 2035, -- 奖励物品已领取
        VIP_PACKAGE_LEVEL_LIMIT = 2036, -- 等级不足
        VIP_PACKAGE_ITEMS_NOT_FOUND = 2037, -- 奖励物品未配置
        ALREADY_GET_AWARD = 2038, -- 已经领取奖励
        TASK_NOT_DATA = 2039, -- 无任务配置
        ACCOUNT_CANCEL = 2040 -- 账号注销
    },
    ACTIVITY = {
        NOT_FOUND_DATA = 6001, -- 没有活动配置
        NOT_MORE_TIMES = 6002, -- 机会已用完
        TIME_OUT = 6003, -- 活动结束
        ITEMS_NOT_FOUND = 6004, -- 奖励物品未配置
        AWARD_STATUS_ERROR = 6005, -- 领取奖励状态错误
        RECHARGE_NO_ENOUGH = 6006 -- 充值金额不够
    },
    BAG_ITEM_NOT_ENOUGH = 3001, --物品不够
    BAG_ITEM_NOT_EXIST = 3004, -- 道具不存在
    BAG_GRID_NOT_ENOUGH = 3002, -- 背包格子不足
    MAIL_NOT_FOUND = 4001, -- 邮件不存在
    MAIL_NOT_ITEMS = 4002, -- 邮件中没有道具
    MAIL_HAD_GET = 4003, -- 邮件道具已领取
    -- 商店
    SHOP = {
        NO_FOUND_ORDER = 4200, --没有发现此订单
        ALREADY_GET_ORDER = 4200 --已经查询过了此订单
    },
    -- 任务
    TASK_NOT_FOUND = 7200, -- 任务不存在
    TASK_STATUS_ERROR = 7201, -- 任务状态错误
    TASK_CONFIG_ERROR = 7202, -- 任务配置错误
    TASK_CHEST_HAD_OPEN = 7203, -- 任务宝箱已开启
    TASK_NEED_RECEIVE = 7204, -- 还有任务需要领取
    TASK_REFRESH_ERROR = 7205, -- 刷新错误
    TASK_NOT_CHANGE_COUNT = 7206, -- 任务变换次数不足
    TASK_REFRESH_CAN_AUTO = 7207, -- 可以自动刷新
    TASK_REFRESH_LIMIT = 7208, -- 今天的刷新次数已达上限
    -- 对战
    BATTLE = {
        IN_BATTLE = 8400, -- 有开始战斗
        OFFLINE = 8401, -- 离线
        MATCHING = 8402, -- 匹配中
        FREE = 8403, -- 空闲
        MAX_APPEND = 8404, -- 挑战队列已满
        NOT_EXIST = 8405 -- 战斗不存在
    },
    -- vip
    VIP_LEVEL_LIMIT = 11000, -- VIP等级限制
    ----------------------------------------
    -- 这里是结束（避免上一行加逗号问题）
    THIS_IS_OVER = 100000000
}

function code.is_not_ok(errCode)
    if errCode == nil or errCode ~= code.OK then
        return true
    end
    return false
end

return code
