-- 公共结构体

local proto_struct =
    [[
    # 物品
    .DataItem {
        id 0: integer
        count 1: integer
    }

    # 物品背包属性
    .DataItemBag {
        id 0: integer                   # 物品ID
        count 1: integer                # 物品数量
        endTime 2: integer              # 到期时间戳
    }
    
    # 玩家基础信息
    .DataUserBaseInfo {
        uid 0: integer                  # 玩家uid
        nickname 1: string              # 玩家昵称
        icon 2: string                  # 头像链接
        level 3: integer                # 等级
        vipLevel 4: integer             # 贵族等级
        registerVersion 5: string       # 注册版本
        activeDays 6: integer           # 活跃天数
    }

    # 玩家基础信息
    .DataPlayerInfo {
        uid 0: integer                  # 玩家uid
        nickname 1: string              # 玩家昵称
        icon 2: string                  # 头像链接
        level 3: integer                # 等级
        vipLevel 4: integer             # 贵族等级
        registerVersion 5: string       # 注册版本
        activeDays 6: integer           # 活跃天数
        phone 7: integer                # 绑定手机号
        isRealname 8: boolean           # 是否已实名
        bandShareCode 9: string         # 已绑定邀请码
        shareCode 10: string            # 我的推广码
        steamLink 11: string            # steam交易链接
    }
    
    # 订单信息
    .DataOrder {
        status 0: integer               # 订单状态, 1表示成功!
        orderId 1: string               # 订单ID
        gid 2: integer                  # 商品ID
        items 3: *DataItem              # 商品发放物品列表
        giftItems 4: *DataItem          # 赠送发放物品列表
        errMsg 5: string                # 失败原因字符串！
        payName 6: string               # SDK支付名称 比如:cmpay
        errCode 7: string               # SDK支付方回调错误码, 可能有，可能没有
        amount 8: integer               # 实际订单金额，单位分，要转字符串
    }
]]

return proto_struct
